﻿using System.Linq;
using Infragistics.Controls.Menus;

namespace MenuTestProject
{
    public static class Helper
    {
        /// <summary>
        /// An extension method that checks if the submenu of any root item in a XamMenu is opened
        /// </summary>
        /// <returns>True if there's an opened submenu, false otherwise</returns>
        public static bool IsSubmenuOpen(this XamMenu menu)
        {
            bool result = (from i in menu.Items
                     where ((XamMenuItem)i).IsSubmenuOpen == true
                     select i).Count() > 0;

            return result;
        }
    }
}
