﻿using System.Windows.Controls;
using System.Windows.Input;
using Infragistics.Controls.Menus;
using System.Windows;

namespace MenuTestProject
{
    public partial class MainPage : UserControl
    {
        public MainPage()
        {
            InitializeComponent();
            this.Loaded += new System.Windows.RoutedEventHandler(MainPage_Loaded);
        }

        void MainPage_Loaded(object sender, System.Windows.RoutedEventArgs e)
        {
            // Add event handlers for SubmenuOpened/SubmenuClosed events of root-level items
            foreach (XamMenuItem item in igMenu.Items)
            {
                item.SubmenuOpened += new System.EventHandler(item_SubmenuOpened);
                item.SubmenuClosed += new System.EventHandler(item_SubmenuClosed);
            }
        }

        // When a Submenu is opened, collapse border's visibility
        void item_SubmenuOpened(object sender, System.EventArgs e)
        {
            if (border1.Visibility == Visibility.Visible)
            {
                border1.Visibility = Visibility.Collapsed;
            }
        }

        // When the submenu is closed and there aren't any other expanded submenus, show the Border element
        void item_SubmenuClosed(object sender, System.EventArgs e)
        {
            // igMenu.IsSubmenuOpen() is an extension method. See Helper.cs file for it's implementation
            if (!igMenu.IsSubmenuOpen() && (border1.Visibility == Visibility.Collapsed))
            {
                border1.Visibility = Visibility.Visible;
            }
        }
    }
}
